Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.demos
Class PingPong

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.demos.PingPong

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class PingPong

extends Agent

See Also:
  Serialized Form

Constructor Summary
`PingPong()`

Method Summary
`void` | `activate()` This method sets the agent to create or join a "ping-pong" group, and then registers it with a role of "player" Could be simpler, but I wanted to show a complete and careful implementation
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`AgentAddress` | `getOther()` This method allows the user to get the "other" agent address in the G-Box property sheet
`void` | `live()` This method defines the main behavior of threaded agents.
`void` | `setOther(AgentAddress add)` This method allows the user to set the "other" agent with the G-Box property sheet

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PingPong

    public PingPong()

Method Detail

### setOther

    public void setOther(AgentAddress add)

  This method allows the user to set the "other" agent with the G-Box property sheet

### getOther

    public AgentAddress getOther()

  This method allows the user to get the "other" agent address in the G-Box property sheet

### activate

    public void activate()

  This method sets the agent to create or join a "ping-pong" group, and then registers it with a role of "player" Could be simpler, but I wanted to show a complete and careful implementation

  Overrides:
    `activate` in class `AbstractAgent`

### live

    public void live()

  Description copied from class: `Agent`
  This method defines the main behavior of threaded agents.

  Overrides:
    `live` in class `Agent`

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations. Although it is "nicer" to make the agent leave its groups, the handled groups and roles are automatically leaved after this last step

  Overrides:
    `end` in class `AbstractAgent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.